net.minecraft.entity.player

## Enum EnumStatus

- java.lang.Object
- - java.lang.Enum<EnumStatus>
  - - net.minecraft.entity.player.EnumStatus

- All Implemented Interfaces:
    Serializable, Comparable<EnumStatus>

      public enum EnumStatus
      extends Enum<EnumStatus>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NOT_POSSIBLE_HERE`
    `NOT_POSSIBLE_NOW`
    `NOT_SAFE`
    `OK`
    `OTHER_PROBLEM`
    `TOO_FAR_AWAY`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EnumStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static EnumStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OK

          public static final EnumStatus OK

    - #### NOT_POSSIBLE_HERE

          public static final EnumStatus NOT_POSSIBLE_HERE

    - #### NOT_POSSIBLE_NOW

          public static final EnumStatus NOT_POSSIBLE_NOW

    - #### TOO_FAR_AWAY

          public static final EnumStatus TOO_FAR_AWAY

    - #### OTHER_PROBLEM

          public static final EnumStatus OTHER_PROBLEM

    - #### NOT_SAFE

          public static final EnumStatus NOT_SAFE

  - ### Method Detail

    - #### values

          public static EnumStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EnumStatus c : EnumStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EnumStatus valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null